package com.izouma.awesomeadmin.shiro;

import org.apache.shiro.authc.AuthenticationToken;

public class WechatToken implements AuthenticationToken {
    private String code;

    public WechatToken() {
    }

    public WechatToken(String code) {
        this.code = code;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    @Override
    public Object getPrincipal() {
        return code;
    }

    @Override
    public Object getCredentials() {
        return code;
    }
}
